mhash (0.9.9.9-9build3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:12:42 +0200

mhash (0.9.9.9-9build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:16:56 +0100

mhash (0.9.9.9-9build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:47 +0200

mhash (0.9.9.9-9) unstable; urgency=medium

  * add attribution to early free patch
  * declare intent to not install *.la files
  * install mhash(3) from installation dir rather than source dir
  * patch away _Bool, all targets have bool anyway
  * bump to debhelper 13

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 May 2020 22:00:11 +0100

mhash (0.9.9.9-8) unstable; urgency=medium

  * ACK and merge NMU (thanks Iain!)
  * git ignore testing debris
  * add url to autoconf update patch, for inclusion in .pc file
  * add repo pointers to debian/copyright
  * list github clone
  * remove Chris Hanson, who has retired, as maintainer (closes: #829685)
  * swizzle packaging repo to salsa
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Standards-Version: 4.5.0
  * Set Rules-Requires-Root: no
  * Harden
  * Fix spelling error (add to quilt patch)
  * Use secure URI in debian/watch.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2020 16:34:41 +0100

mhash (0.9.9.9-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0015-mhash-0.9.9-no-free-before-use.patch: Take patch from
    Fedora to fix use-after-free in the testsuite, which is failing in Ubuntu
    and likely will in Debian at some point.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Sep 2019 09:53:54 +0100

mhash (0.9.9.9-7) unstable; urgency=medium

  * add build dependency on pkg-config for its autoconf macros.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 24 May 2014 08:48:29 +0100

mhash (0.9.9.9-6) unstable; urgency=medium

  * support pkg-config mhash

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 May 2014 15:37:47 +0100

mhash (0.9.9.9-5) unstable; urgency=medium

  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Feb 2014 23:31:43 +0000

mhash (0.9.9.9-4) unstable; urgency=low

  * disable multi-arch for -dev package (closes: #723667)
  * minor autotools patches

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Oct 2013 19:33:51 +0100

mhash (0.9.9.9-3) unstable; urgency=low

  * turn on multi-arch: same to allow co-existence
  * stop using dh-exec (see http://wiki.debian.org/Multiarch/Implementation)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jun 2013 14:13:58 +0100

mhash (0.9.9.9-2) unstable; urgency=low

  * debian/control:
    - add VCS field (collab-maint git repo)
    - add homepage field
    - bump standards version
    - add self as co-maintainer
  * Move to dh9, update packaging scripts accordingly
  * Use dh-autoreconf
  * Support multiarch using dh-exec
  * Switch to dpkg source format 3.0 (quilt)
  * Incorporate Fedora patches (closes: #649092)
  * Patch a spelling error

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jun 2013 09:43:43 +0100

mhash (0.9.9.9-1.1) unstable; urgency=low

  * NMU
  * lib/{whirlpool,snefru}.c: Fix mhash_deinit segfaults when digest is NULL

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Jan 2012 20:32:32 +0800

mhash (0.9.9.9-1) unstable; urgency=low

  * New upstream version.
  * include/mutils/mhash_config.h.in: Remove PACKAGE_ variables from
    include file.  (closes: Bug#473204)
  * include/mutils/mhash.h: Manually patch mhash_get_hash_name to return
    "char *".  (closes: Bug#354206)
  * debian/control: Bump standards-version to 3.8.3 (no changes).
  * Remove unused maintainer scripts.
  * debian/control, debian/compat: Use debhelper version 5.

 -- Chris Hanson <cph@debian.org>  Wed, 02 Dec 2009 02:56:36 -0800

mhash (0.9.9-1) unstable; urgency=low

  * New upstream version.
    - No longer contains non-free RFCs.  (closes: Bug#393398)
  * debian/rules: eliminate lintian warning
    debian-rules-ignores-make-clean-error.
  * debian/control: eliminate lintial error
    not-binnmuable-any-depends-any.

 -- Chris Hanson <cph@debian.org>  Sat, 21 Jul 2007 22:15:39 -0400

mhash (0.9.7.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pruning rfc's from the source package (Closes: 393398).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 21 Jul 2007 15:19:31 +0200

mhash (0.9.7-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Sun, 25 Jun 2006 21:49:23 -0400

mhash (0.9.6-3) unstable; urgency=low

  * Fix VERSION problem by renaming that variable to MHASH_VERSION.
    (closes: Bug#356490)

 -- Chris Hanson <cph@debian.org>  Wed, 31 May 2006 14:55:40 -0400

mhash (0.9.6-2) unstable; urgency=low

  * Attempt to fix #350088.  This patch looks correct when compared to
    version 0.9.1, so please test and report back to BTS.
  * debian/rules: Define MHASH_ROBUST when making package; this should
    convert segfaults (e.g. from #350088) into errors.
  * Considerably complicate patch to <mhash.h> in order to fix problems
    caused by previous patch.
  * Patch upstream typos in several files.
  * Bump standards-version to 3.7.2 (no changes).

 -- Chris Hanson <cph@debian.org>  Sun, 14 May 2006 01:03:43 -0400

mhash (0.9.6-1) unstable; urgency=low

  * New upstream version.  The last release opened several bugs (348604
    354206 350088) against this package, which remain open upstream.
    Please test and report the results back to BTS, as upstream needs to
    hear from us.  (Thanks to Marc Haber for forwarding the bug reports
    upstream -- I've been swamped with work and am having trouble keeping
    up.)
  * Patch <mhash.h> to work around problem with VERSION.  Fixes #356490,
    but the bug remains open.  I will reduce its severity until it is
    fixed upstream.

 -- Chris Hanson <cph@debian.org>  Tue, 21 Mar 2006 00:32:06 -0500

mhash (0.9.4a-1) unstable; urgency=low

  * New upstream version.  (closes: Bug#342678)
  * patch upstream version: restore missing include file.
  * debian/copyright: update FSF address.
  * debian/control: bump standards-version (no changes).
  * debian/libmhash-dev.files: make sure all include files are moved.

 -- Chris Hanson <cph@debian.org>  Fri, 13 Jan 2006 23:24:34 -0500

mhash (0.9.1-1) unstable; urgency=low

  * New upstream version.  (closes: Bug#263093)
  * Don't rebuild autoconf files to get static libraries.  Just pass args
    to configure script.

 -- Chris Hanson <cph@debian.org>  Tue, 30 Nov 2004 00:25:59 -0500

mhash (0.8.18-4) unstable; urgency=low

  * Bump version to work around failed upload.

 -- Chris Hanson <cph@debian.org>  Tue, 16 Dec 2003 14:29:11 -0500

mhash (0.8.18-2) unstable; urgency=low

  * Put libmhash.a back.  (closes: Bug#221797, Bug#222826)

 -- Chris Hanson <cph@debian.org>  Tue, 16 Dec 2003 12:54:36 -0500

mhash (0.8.18-1) unstable; urgency=low

  * New upstream version.  (Well, not so new really.)
  * Remove libmhash.a since it is no longer built by upstream.
  * Standards version 3.6.1 (no changes).

 -- Chris Hanson <cph@debian.org>  Fri, 31 Oct 2003 23:37:39 -0500

mhash (0.8.17-1) unstable; urgency=low

  * New upstream version.
  * Eliminate reference to dh_undocumented.
  * Use dh_installman rather than dh_installmanpages.
  * Add ${misc:Depends} reference.
  * Change section of libapm-dev to libdevel.
  * Eliminate unneeded local variables in debian/changelog.
  * Add support for "noopt" in DEB_BUILD_OPTIONS.
  * Change standards version to 3.5.9.
  * Update debian/rules according to latest advice from autotools-dev.

 -- Chris Hanson <cph@debian.org>  Tue, 1 Apr 2003 23:48:37 -0500

mhash (0.8.16-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Thu, 30 May 2002 16:37:07 -0400

mhash (0.8.14-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Fri, 29 Mar 2002 11:24:22 -0500

mhash (0.8.13-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Sun, 18 Nov 2001 23:27:05 -0500

mhash (0.8.12-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Sun, 28 Oct 2001 23:36:30 -0500

mhash (0.8.11-3) unstable; urgency=low

  * Fix upstream problems that caused SIGSEGV to be signalled when
    mhash_get_hash_name() and mhash_get_keygen_name() were called with
    invalid type arguments.

 -- Chris Hanson <cph@debian.org>  Thu, 25 Oct 2001 23:01:44 -0400

mhash (0.8.11-2) unstable; urgency=medium

  * Fix upstream compilation bug that required libmhash-dev to be
    installed before compilation could succeed.  The changes were
    recommended by the upstream maintainer and will be incorporated in the
    next release.  (closes: Bug#116794)

 -- Chris Hanson <cph@debian.org>  Tue, 23 Oct 2001 15:01:07 -0400

mhash (0.8.11-1) unstable; urgency=low

  * New upstream version.
  * Add some changes recommended by the autotools-dev package.

 -- Chris Hanson <cph@debian.org>  Mon, 22 Oct 2001 00:51:22 -0400

mhash (0.8.10-2) unstable; urgency=low

  * Eliminate lintian warnings related to calling ldconfig in postinst and
    postrm for libmhash2.
  * Update standards-version to 3.5.6.

 -- Chris Hanson <cph@debian.org>  Thu, 4 Oct 2001 15:35:15 -0400

mhash (0.8.10-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Tue, 17 Jul 2001 11:29:10 -0400

mhash (0.8.9-3) unstable; urgency=low

  * Add build dependency on autotools-dev and refer to up-to-date during
    the configuration stage.  (closes: Bug#101211)
  * Update to standards-version 3.5.5.

 -- Chris Hanson <cph@debian.org>  Sun, 17 Jun 2001 20:38:16 -0400

mhash (0.8.9-2) unstable; urgency=low

  * Updated to standards-version 3.5.2.
  * Eliminate uses of dh_testversion and dh_suidregister.

 -- Chris Hanson <cph@debian.org>  Fri, 23 Mar 2001 22:27:36 -0500

mhash (0.8.9-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Mon, 5 Feb 2001 23:28:53 -0500

mhash (0.8.8-2) unstable; urgency=low

  * Fix upstream thinko that caused compilation error on alpha.
    (closes: Bug#84378)

 -- Chris Hanson <cph@debian.org>  Thu,  1 Feb 2001 12:18:48 -0500

mhash (0.8.8-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Mon, 29 Jan 2001 14:13:26 -0500

mhash (0.8.6-2) unstable; urgency=low

  * Change definitions of byteReverse in "lib/md4.c" and "lib/md5.c" to be
    static, so they don't interfere with one another at link time.
    (closes: Bug#83843)

 -- Chris Hanson <cph@debian.org>  Sun, 28 Jan 2001 11:48:21 -0500

mhash (0.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Hanson <cph@debian.org>  Sat, 27 Jan 2001 01:13:03 -0500

mhash (0.8.5-1) unstable; urgency=medium

  * New upstream version.
  * Improved package descriptions.  (closes: Bug#67878, Bug#74757)
  * Flesh out {pre,post}{inst,rm} scripts for each package so that
    debhelper has somewhere to insert script fragments.

 -- Chris Hanson <cph@debian.org>  Sat, 20 Jan 2001 00:34:56 -0500

mhash (0.8.2-2) unstable; urgency=low

  * New maintainer.  (closes: Bug#68234)

 -- Chris Hanson <cph@debian.org>  Fri, 19 Jan 2001 21:04:10 -0500

mhash (0.8.2-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Fri, 12 May 2000 20:24:02 +0200

mhash (0.8.1-1) unstable; urgency=low

  * New upstream version
  * New soname -> new package name
  * Update copyright file (now LGPL)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Sun, 16 Apr 2000 02:46:02 +0200

mhash (0.6.1-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Thu,  2 Dec 1999 15:49:39 +0100

mhash (0.5.2-3) unstable; urgency=low

  * FHS compliance
  * Standards: 3.0.1
  * Change maintainer address

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue,  7 Sep 1999 19:26:19 +0200

mhash (0.5.2-2) unstable; urgency=low

  * Fix maintainer address in control file

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 14 Jul 1999 23:55:09 +0200

mhash (0.5.2-1) unstable; urgency=low

  * Initial Release.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 14 Jul 1999 11:35:02 +1000
